Package org.bukkit

# Class Vibration.Destination.BlockDestination

java.lang.Object
org.bukkit.Vibration.Destination.BlockDestination

All Implemented Interfaces:
  `Vibration.Destination`

Enclosing interface:
  Vibration.Destination

public static class Vibration.Destination.BlockDestination extends Object implements Vibration.Destination

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.bukkit.Vibration.Destination

`Vibration.Destination.BlockDestination, Vibration.Destination.EntityDestination`

## Constructor Summary

Constructors
Constructor
Description
`BlockDestination(@NotNull Block block)`
`BlockDestination(@NotNull Location block)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull Block`
`getBlock()`
`@NotNull Location`
`getLocation()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BlockDestination

public BlockDestination(@NotNull @NotNull Location block)

### BlockDestination

public BlockDestination(@NotNull @NotNull Block block)

## Method Details

### getLocation

@NotNull public @NotNull Location getLocation()

### getBlock

@NotNull public @NotNull Block getBlock()